#include "Cyton_Process.h"
#include "usart.h"	
#include <string.h>
#include "delay.h"       
#include "led.h"       
#include "key.h"
#include "Timer.h"
#include "ADS129x.h"
#include "Cyton_DataPkg.h"
#include "ESP8266.h"

#include "myQueue.h"

static uint8_t g_szCytonProcess_DataCache[512] = {0};
static int g_iPackageOffset = 0;

void CytonProcess_Loop()
{
    int iRet = 0;
    uint32_t puiChannel[8];
    int iFd = -1;
    int iStreamStat = 0;

    iFd = CytonEsp12_DataGetReportFd();
    iStreamStat = CytonEsp12_StreamStat();

    if (iFd >= 0 && iStreamStat) {
        iRet = Cyton_DataFormat2Package(&g_szCytonProcess_DataCache[g_iPackageOffset], puiChannel, CYTON_DATA_PKG_CHANNEL8);
        g_iPackageOffset += iRet;

        if (g_iPackageOffset > 330) {
            ESP8266_DEBUG("Start Report Data %d\n", g_iPackageOffset);
            Ctron_Esp12Data_Send(iFd, (uint8_t *)g_szCytonProcess_DataCache, g_iPackageOffset, 0);
            g_iPackageOffset = 0;
        }
    }
}